## minidjvu 0.8.svn.2010.05.06+dfsg

=== wscript ===
#! /usr/bin/env python


VERSION = '0.9'
APPNAME = 'minidjvu'

srcdir = '.'
blddir = 'build'


def configure(conf):
    conf.check_tool('gcc g++')

    conf.check(header_name='math.h')
    conf.check(lib='m')

    conf.check(header_name='tiffio.h', define_name='HAVE_TIFF')
    conf.check(lib='tiff')

    conf.check(header_name='libintl.h', define_name='HAVE_I18N')

    conf.check(header_name='stdint.h', define_name='HAVE_STDINT_H')
    conf.write_config_header('config.h') # included from mdjvucfg.h
  
    # Compilation flags 
    common_cflags = '-pipe -O3 -Wall -DHAVE_CONFIG_H -DNDEBUG'.split()
    conf.env.append_value('CCFLAGS', common_cflags + '''
        -D__STRICT_ANSI__ -Wshadow -pedantic-errors 
        -Wpointer-arith -Waggregate-return -Wlong-long 
        -Wredundant-decls -Wcast-qual -Wcast-align 
    '''.split())
    conf.env.append_value('CXXFLAGS', common_cflags)


def build(bld):
    bld.new_task_gen(
        features = 'cc cxx cstaticlib', # cshlib
        source = bld.glob('src/*/*.c') + bld.glob('src/*/*.cpp'),
        target = 'minidjvu',
        includes = '# include', # '#' is where config.h is generated
        install_path = '${PREFIX}/lib',
        uselib = 'M TIFF'
    )
    
    bld.new_task_gen(
        features = 'cc cxx cprogram',
        source = 'tools/minidjvu.c',
        target = 'minidjvu',
        includes = '# include',
        install_path = '${PREFIX}/bin',
        uselib = 'M TIFF',
        uselib_local = 'minidjvu'
    )
   
    headers = bld.glob('include/minidjvu/*.h') + \
              bld.glob('include/minidjvu/*/*.h')
    for i in headers:
        bld.install_files('${PREFIX}/' + i, i)

## minidjvu 0.8.svn.2010.01.15

=== debian/changelog ===
minidjvu (0.8.svn.2010.01.15-2) unstable; urgency=low

  * rev deb std
  * silence autoscan
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 18:56:39 +0000

minidjvu (0.8.svn.2010.01.15-1) unstable; urgency=low

  * Track ongoing upstream changes, as new upstream version
  * Add SVN repo to debian/copyright and debian/control
  * Upstream fix allows -p 0 per documentation (closes: #561694)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 15 Jan 2010 10:05:17 +0100

minidjvu (0.8-3) unstable; urgency=low

  * Upstream man page location revert; tweak debian build system appropriately

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 04 Nov 2009 14:23:46 -0500

minidjvu (0.8-2) unstable; urgency=low

  * Hotwire debian/watch, special case mangle upstream 0.33 to 0.3.3

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 Nov 2009 17:52:47 -0500

minidjvu (0.8-1) unstable; urgency=low

  * New upstream version which
    - addresses -p segfault (closes: #545285)
    - generates shared library (closes: #545287)
  * Minor portability tweak for maximal 32-bit signed integer

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 23 Oct 2009 13:50:47 -0400

minidjvu (0.7-1) unstable; urgency=low

  * Initial Release (closes: #543678)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 01 Sep 2009 12:51:48 +0200

=== debian/control ===
Source: minidjvu
Section: graphics
Priority: extra
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 7), libtiff4-dev | libtiff-dev
Homepage: http://minidjvu.sourceforge.net/
Vcs-Git: git://git.debian.org/git/collab-maint/minidjvu.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/minidjvu.git
Vcs-Svn: https://minidjvu.svn.sourceforge.net/svnroot/minidjvu
Standards-Version: 3.8.4

Package: minidjvu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libminidjvu0 (>= ${binary:Version})
Suggests: djview4 | djview3 | djvu-viewer, djvulibre-bin, pdf2djvu
Description: Monochrome DjVu multipage encoder, single page encoder/decoder
 Minidjvu is a multipage DjVu encoder and single page encoder/decoder.
 No colors or grayscale, just black and white.
 In addition to the DjVu format, minidjvu reads and writes
 PBM, Windows BMP, and TIFF.

Package: libminidjvu0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Small DjVu encoder/decoder, shared library
 MiniDjVu shared library, for DjVu format encoding and decoding.

Package: libminidjvu-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libminidjvu0 (= ${binary:Version})
Suggests: minidjvu
Description: Small DjVu encoder/decoder, development files
 MiniDjVu library development files, for DjVu format encoding and
 decoding.

=== debian/rules ===
#!/usr/bin/make -f

build clean install binary-arch binary-indep binary:
	dh $@

.PHONY: build clean install binary-arch binary-indep binary

## minidjvu 0.8.svn.2010.05.06

=== debian/changelog ===
minidjvu (0.8.svn.2010.05.06-1) unstable; urgency=low

  * Track ongoing upstream changes, as new upstream version
  * bump standards version (debian/control)
  * refresh autoconf stuff (config/, libtool)
  * dh --parallel
  * parallel build patch to upstream (Makefile.in)
  * dh 8
  * Integrate super-helpful ubuntu debian/libminidjvu-dev.install patch
    to, thanks to Andreas Moog <amoog@ubuntu.com>: Don't install libtool
    la-file per Policy 10.2 (closes: #621449)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 16 Apr 2011 18:41:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: graphics
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 7), libtiff4-dev | libtiff-dev
+Build-Depends: debhelper (>= 8), libtiff4-dev | libtiff-dev
 Homepage: http://minidjvu.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/collab-maint/minidjvu.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/minidjvu.git
 Vcs-Svn: https://minidjvu.svn.sourceforge.net/svnroot/minidjvu
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: minidjvu
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

build clean install binary-arch binary-indep binary:
	dh $@ --parallel

.PHONY: build clean install binary-arch binary-indep binary

## minidjvu 0.8.svn.2010.05.06%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,15 @@
 Section: graphics
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 8), libtiff4-dev | libtiff-dev
+Build-Depends: debhelper (>= 9),
+		dh-exec,
+		dh-autoreconf, autopoint,
+		pkg-config,
+		libtiff-dev
 Homepage: http://minidjvu.sourceforge.net/
-Vcs-Git: git://git.debian.org/git/collab-maint/minidjvu.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/minidjvu.git
-Vcs-Svn: https://minidjvu.svn.sourceforge.net/svnroot/minidjvu
-Standards-Version: 3.9.1
+Vcs-Git: git://anonscm.debian.org/collab-maint/minidjvu.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/minidjvu.git
+Standards-Version: 3.9.5
 
 Package: minidjvu
 Architecture: any
@@ -22,6 +25,7 @@
 Package: libminidjvu0
 Architecture: any
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Small DjVu encoder/decoder, shared library
  MiniDjVu shared library, for DjVu format encoding and decoding.

=== debian/watch ===
version=3
# snippet from http://wiki.debian.org/UnpackWaf
opts=uversionmangle=s/^0\.33$/0.3.3/,dversionmangle=s/\+dfsg\d*$// \
 http://sf.net/minidjvu/minidjvu-(.*)\.tar\.gz

## minidjvu 0.8.svn.2010.05.06+dfsg

=== debian/changelog ===
minidjvu (0.8.svn.2010.05.06+dfsg-7build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:06:59 +0000

minidjvu (0.8.svn.2010.05.06+dfsg-7) unstable; urgency=medium

  * bump policy
  * debhelper 13
  * install html files per upstream
  * bump uscan support file version
  * merge t64 NMU

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 29 Feb 2024 08:57:14 +0000

minidjvu (0.8.svn.2010.05.06+dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062889

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 20:02:25 +0000

minidjvu (0.8.svn.2010.05.06+dfsg-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Barak A. Pearlmutter ]
  * lintian priority-extra-is-replaced-by-priority-optional
  * tiffload.c: fixed padding
  * smooth.c: better smoothing rules
  * INSTALL: change -I. to -Iinclude
  * spelling fixes
  * harden
  * bump policy version
  * debhelper 11
  * swizzle packaging repo to salsa
  * large file support

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 03 Dec 2018 03:25:35 +0000

minidjvu (0.8.svn.2010.05.06+dfsg-5) unstable; urgency=medium

  * include dependency on pkg-config for its autoconf macros

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 May 2014 17:07:58 +0100

minidjvu (0.8.svn.2010.05.06+dfsg-4) unstable; urgency=medium

  * include .pc file for pkg-config minidjvu in -dev package

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 23 May 2014 23:48:38 +0100

minidjvu (0.8.svn.2010.05.06+dfsg-3) unstable; urgency=low

  * bump policy version
  * update packaging repo URLs
  * remove dependency alternatives libtiff{5,4}-dev (closes: #736031)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Jan 2014 14:59:06 +0000

minidjvu (0.8.svn.2010.05.06+dfsg-2) unstable; urgency=low

  * further update autotools, e.g., step off user-reserved vars
  * remove more derived files from repo; installed by autoreconf
  * bump debian standard version, no changes required
  * add build dependency on autopoint, called by dh-autoreconf

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 14 Nov 2012 22:49:12 +0000

minidjvu (0.8.svn.2010.05.06+dfsg-1) unstable; urgency=low

  * support multiarch
  * ack silly NMU (silly because the waf file was unused, and because
    there is a difference between "sourceless" and "source in odd format")
  * revamp autotools and engage automake for robustness

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 13 Nov 2012 12:18:29 +0000

minidjvu (0.8.svn.2010.05.06+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove sourceless waf binary from upstream tarball (closes: #654491).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 12 Nov 2012 03:03:15 +0000

minidjvu (0.8.svn.2010.05.06-2) unstable; urgency=low

  * remove unneeded AC_PROG_RANLIB from configure.ac
  * single debian patch source option (closes: #643218)
  * bump debian standards version
  * correct spelling by not using the non-word "splitted"
  * silence lintian regarding debian/rules targets

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Oct 2011 16:35:29 +0100

=== debian/control ===
Source: minidjvu
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
		dh-exec,
		autopoint,
		pkg-config,
		libtiff-dev
Homepage: http://minidjvu.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/minidjvu.git
Vcs-Browser: https://salsa.debian.org/debian/minidjvu
Standards-Version: 4.6.0

Package: minidjvu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libminidjvu0t64 (>= ${binary:Version})
Suggests: djview4 | djview3 | djvu-viewer, djvulibre-bin, pdf2djvu
Description: Monochrome DjVu multipage encoder, single page encoder/decoder
 Minidjvu is a multipage DjVu encoder and single page encoder/decoder.
 No colors or grayscale, just black and white.
 In addition to the DjVu format, minidjvu reads and writes
 PBM, Windows BMP, and TIFF.

Package: libminidjvu0t64
Provides: ${t64:Provides}
Replaces: libminidjvu0
Breaks: libminidjvu0 (<< ${source:Version})
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Small DjVu encoder/decoder, shared library
 MiniDjVu shared library, for DjVu format encoding and decoding.

Package: libminidjvu-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libminidjvu0t64 (= ${binary:Version})
Suggests: minidjvu
Description: Small DjVu encoder/decoder, development files
 MiniDjVu library development files, for DjVu format encoding and
 decoding.

=== debian/watch ===
version=4
# snippet from http://wiki.debian.org/UnpackWaf
opts=uversionmangle=s/^0\.33$/0.3.3/,dversionmangle=s/\+dfsg\d*$// \
 https://sf.net/@PACKAGE@/@PACKAGE@-([0-9.]*)@ARCHIVE_EXT@
